@import 'styles/sass/styles.scss';

.main {
    &__table_poker {
        width: 60%;
        height: 45%;
        margin: 5rem auto;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        @media screen and (min-height: 620px) and (min-width: 1360px){
            width: 70%;
            height: 80%;
            margin: 2rem auto 4rem auto;
        }
        @media screen and (min-width: 1364px) {
           width: 700px;
        }
        @media screen and (min-height: 700px) {
            width: 60%;
            height: 55%;
        }
        @media screen and (min-height: 840px) {
            height: 45%;
        }
        @media screen and (min-height: 850px) {
            height: 50%;
        }

        &_cards {
            color: $txt-white;
        }

        &_thumbail {
            position: absolute;
            border-radius: 276px;

            &--1 {
                border: 2px solid #6429CD;
                width: $width-table;
                height: $height-table;
            }

            &--2 {
                border: 2px solid #6429CD;
                width: calc($width-table - 24px);
                height: calc($height-table - 23px);
            }

            &--3 {
                border: 1px solid #6429CD;
                width: calc(($width-table - 24px) - 22px);
                height: calc(($height-table - 23px) - 21px);
                background: rgba(31, 13, 63, 0.6);
            }
        }
        &__btn_new_vote {
            width: 133px;
            padding: .7rem .5rem;
            border-radius: 50px;
            position: absolute;
            color: $txt-white;
            text-align: center;
            font-family: Arial, Helvetica, sans-serif;
            border: none;
            background-color: #6429CD;
            cursor: pointer;
        }

    }
}

.main {
    &__table_poker {
        &_player {
            position: absolute;
            width: 30px;
            height: 65px;
            display: flex;
            align-items: center;
            flex-direction: column;
            row-gap: .3rem;

            &--1 {
                top: $base-top;
            }
            &--2 {
                bottom: $base-bottom;
            }
            &--3 {
                left: $base-left;
            }
            &--4 {
                right: $base-right;
            }
            &--5 {
                top: $base-top;
                right: calc($base-right + 35%);
            }
            &--6 {
                bottom: $base-bottom;
                left: calc($base-left + 35% );
            }
            &--7 {
                top: $base-top;
                left: calc($base-left + 35%);
            }    
            &--8 {
                bottom: $base-bottom;
                right: calc($base-right + 35%);
            }
            &--9 {
                top: $base-top;
                left: calc($base-left + 25%);
            }
            &--10 {
                bottom: $base-bottom;
                right: calc($base-left + 25%);
            }
            &--11 {
                top: $base-top;
                right: calc($base-right + 25%);
            }
            &--12 {
                bottom: $base-bottom;
                left: calc($base-right + 25%);
            }
            &--13 {
                top: calc($base-top + 3%);
                left: calc($base-left + 15%);
            }
            &--14 {
                bottom: calc($base-bottom + 5%);
                right: calc($base-right + 15%);
            }
            &--15 {
                top: calc($base-top + 3%);
                right: calc($base-right + 15%);
            }
            &--16 {
                bottom: calc($base-bottom + 5%);
                left: calc($base-left + 15%);
            }
            &--17 {
                top: calc($base-top + 15%);
                right: calc($base-right + 5%);
            }
            &--18 {
                bottom: calc($base-bottom + 15%);
                left: calc($base-left + 5%);
            }
            &--19 {
                bottom: calc($base-bottom + 15%);
                right: calc($base-right + 5%);
            }
            &--20 {
                top: calc($base-top + 15%);
                left: calc($base-left + 5%);
            }     
        
            &--viewer {
                width: 40px;
                display: flex;
                border: #F6F7FC;
            }
    
        }
        &_label {
            width: 100%;
            height: 70%;
            border: 1px solid #BB65FF;
            color: $txt-white;
            border-radius: 7px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 14px;
            font-weight: 700;

            &--viewer {
                border: none;
                border-radius: 100%;
                background-color: $bg-purple-ligth;
                color: $txt-purple;
    
            }
    
            &--hidden {
                background-color: #BB65FF;
            }
        }
        &_name {
            width: 100%;
            height: 30%;
            display: flex;
            align-items: center;
            justify-content: center;
            color: $txt-white;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 11px;
        }
    }
}